/*
 Title:优惠券
 Author:yang sen
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
(function($) {
	var ACCOUNT = function() {
		this.ws = null;
		this.states = ["notUsed", "used", "expired"];
		this.pageNum = [1, 1, 1];
		this.rules = '';
		this.products = '';
		this.rows = 10;
		return this;
	}
	ACCOUNT.prototype = {
		init: function() {
//			GHUTILS.setUserAgent();
//			$("#slider").css({"top": GHUTILS.setTop(44)+"px"})
			if (GHUTILS.getloginStatus(true)) {
				this.pageInit(); //页面初始化
				this.showCouponProtocol();
				plus.nativeUI.closeWaiting();
			}
		},
		pageInit: function() {
			var _this = this;
			GHUTILS.listLinks();
			mui.ready(function() {
				//循环初始化所有下拉刷新，上拉加载。
				mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
					mui(pullRefreshEl).pullToRefresh({
						up: {
							auto: true,
							callback: function() {
								var self = this;
								_this.getList(index, self ,1);
							}
						}
					});
				});
			});
			
			document.addEventListener("getlist",function(e){
				mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
					$("#app-notUsed-list").html('');
					$("#app-used-list").html('');
					$("#app-expired-list").html('');
					_this.pageNum = [1, 1, 1];
					_this.getList(index, mui(pullRefreshEl).pullToRefresh());
				});
			})
		},
		getList: function(index, refresh) {
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.coupon +"?page=" + _this.pageNum[index] +"&rows=" + _this.rows +"&status=" + _this.states[index] ,
				data: {},
				type:'post',
				async: true,
				timeout: 3000,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)&&GHUTILS.getloginStatus(true)) {
						if (_this.pageNum[index] == 1) {
							$('#app-' + _this.states[index] + '-num').html('(' + result.total + ')');
						}
//					alert(JSON.stringify(result))
						var couponList = result.rows;
						
						_this.pageNum[index]++;
						var couponHtml = '';

						if (index == 0) {
							for (var i in couponList) {
								couponHtml += _this.addUsableItem(couponList[i]);
							}
						} else if (index == 1) {
							for (var i in couponList) {
								couponHtml += _this.addUsedItem(couponList[i]);
							}
						} else if (index == 2) {
							for (var i in couponList) {
								couponHtml += _this.addExpiredItem(couponList[i]);
							}
						}

						if (couponList.length < 10 || $.isEmptyObject(couponList)) {
							refresh.endPullUpToRefresh(true);
						} else {
							refresh.endPullUpToRefresh(false);
						}

						$('#app-' + _this.states[index] + '-list').append(couponHtml);
						_this.bindEvent();
						_this.closeWaiting(index);
					}
				},
				errcallback: function(result) {
					_this.closeWaiting(index);
					refresh.endPullUpToRefresh(true);
				}
			});
		},
		closeWaiting: function(index) {
			plus.nativeUI.closeWaiting();

		},
		bindEvent: function() {
			var _this = this;
			$(".app_links").off().on("tap", function() {
				var couponId = $(this).attr("data-id");
				var couponType = $(this).attr("data-type");
//				var couponAmount = $(this).attr("data-amount");
				if(GHUTILS.getloginStatus(true) && GHUTILS.checkDepWit()) {
					GHUTILS.OPENPAGE({
						url: 'account-coupon-receive.html',
						extras: {
							couponId: couponId,
							couponType: couponType,
	//						couponAmount: couponAmount,
						}
					})
				}
				
				GHUTILS.nativeUI.showWaiting("正在处理中");
			});

			$(".coupon-rules-btn").off().on('tap',function(){
				_this.rules = $(this).attr('data-rules')
				if($(this).find("span").html() === '...'){
					$(this).find('span').html(_this.rules.substr(20));
				} else {
					$(this).find('span').html('...');
				}
			})
			$(".coupon-products-btn").off().on('tap',function(){
				_this.products = $(this).attr('data-products')
				if($(this).find("span").html() === '...'){
					$(this).find('span').html(_this.products.substr(20));
				} else {
					$(this).find('span').html('...');
				}
			})
			
//			$(".app_user_coupon_box .app_tasteCoupon").off().on('tap', function(){
//				_this.getExpProducts($(this).attr("data-couponId"), $(this).attr("data-amount"));
//			})
		},
		//使用规则
		showCouponProtocol: function(){
			$("#app-rule").off().on("tap", function() {
				GHUTILS.OPENPAGE({
					url: 'account-coupon-protocol.html',
					id: 'couponPro'
				})
			})
		},
		//可用
		addUsableItem: function(tradeObj) {
			var couponHtml = '<div class="app_user_coupon_box app_clearfix">'+ this.itemsUsableObj(tradeObj) +'</div>';
			return couponHtml;
		},
		//已使用
		addUsedItem: function(tradeObj) {
			var couponHtml = '<div class="app_user_coupon_box app_clearfix"><div class="used">'+ this.itemsUsedObj(tradeObj) +'</div></div>';
			return couponHtml;
		},
		//过期
		addExpiredItem: function(tradeObj) {
			var couponHtml = '<div class="app_user_coupon_box app_clearfix"><div class="off">'+ this.itemsExpiredObj(tradeObj) +'</div></div>';
			return couponHtml;
		},
		//可使用优惠劵
		itemsUsableObj: function(tradeObj) {
			var _this = this;
			var couponHtml = '';
			var showobj = _this.couponPublic(tradeObj);
			
			if(tradeObj.type ==='coupon'){
				couponHtml = '<div class="on"><div class="app_coupon_title_box"><span class="app_coupon_num"><h5 class="app_c6 app_pb10">代金券</h5><span class="'+showobj.numClass+'">' + tradeObj.amount + '</span></span><span class="app_coupon_unit">元</span></div><div class="app_coupon_detail">'+ showobj.products + showobj.rules +'<div class="ui-border-b app_pb5 ">截止日期:' + tradeObj.finish + '</div></div></div>';
			} else if(tradeObj.type ==='redPackets'){
				couponHtml = '<div class="on"><div class="app_coupon_box"><span class="app_coupon_num"><h5 class="app_c6">红包</h5></span></div><div class="app_coupon_take app_links" data-id='+ tradeObj.oid +' data-type='+ tradeObj.type +' data-amount='+ tradeObj.amount +'>立即领取</div><div class="app_coupon_takedetail app_coupon_date"><h5 class="app_f11 app_mt60">领取截止日:' + tradeObj.finish  + '</h5></div></div>';
			} else if(tradeObj.type ==='rateCoupon'){
				couponHtml = '<div class="on"><div class="app_coupon_title_box"><span class="app_coupon_num"><h5 class="app_c6 app_pb10">加息券</h5><span class="'+showobj.numClass+'">' + tradeObj.amount + '</span></span><span class="app_coupon_unit">%</span></div><div class="app_coupon_detail"><div class="ui-border-b app_pb5 '+ showobj.rateDays +'">加息天数:' + tradeObj.rateDays + '天</div>'+ showobj.products + showobj.rules +'<div class="ui-border-b app_pb5 ">截止日期:' + tradeObj.finish + '</div></div></div>';
			} else if(tradeObj.type ==='tasteCoupon'){
				couponHtml = '<div class="on app_tasteCoupon" data-couponId="'+tradeObj.oid+'" data-amount="'+tradeObj.amount+'"><div class="app_coupon_title_box"><span class="app_coupon_num"><h5 class="app_c6 app_pb10">体验金</h5><span class="'+showobj.numClass+'">' + tradeObj.amount + '</span></span><span class="app_coupon_unit">元</span></div><div class="app_coupon_detail"><div class=" mui-push-right"></div><div class="ui-border-b app_pb5 '+ showobj.rateDays +'">体验天数:' + tradeObj.rateDays + '天</div>'+ showobj.products + showobj.rules +'</div></div>';
			}
			
			return couponHtml;
		},
		//已使用优惠劵
		itemsUsedObj: function(tradeObj) {
			var _this = this;
			var couponHtml = '';
			var showobj = _this.couponPublic(tradeObj);
			
			if(tradeObj.type ==='coupon'){
				couponHtml = '<div class="app_coupon_title_box"><span class="app_coupon_num"><h5 class="app_c6 app_pb10">代金券</h5><span class="'+showobj.numClass+'">' + tradeObj.amount + '</span></span><span class="app_coupon_unit">元</span></div><div class="app_coupon_detail">'+ showobj.products + showobj.rules +'<div class="ui-border-b app_pb5 ">截止日期:' + tradeObj.finish + '</div></div>';
			} else if(tradeObj.type ==='redPackets'){
				couponHtml = '<div class="app_coupon_box"><span class="app_coupon_num"><h5 class="app_c6">红包</h5></span></div><div class="app_coupon_count"><span class="app_f40">'+ tradeObj.amount +'</span>元</div><div class="app_coupon_takedetail app_coupon_date app_ml30"><h5 class="app_f11 app_mt60">' + tradeObj.leadTime.split(" ")[0]  + '领取</h5></div>';
			} else if(tradeObj.type ==='rateCoupon'){
				couponHtml = '<div class="app_coupon_title_box"><span class="app_coupon_num"><h5 class="app_c6 app_pb10">加息券</h5><span class="'+showobj.numClass+'">' + tradeObj.amount + '</span></span><span class="app_coupon_unit">%</span></div><div class="app_coupon_detail"><div class="ui-border-b app_pb5 '+ showobj.rateDays +'">加息天数:' + tradeObj.rateDays + '天</div>'+ showobj.products + showobj.rules +'<div class="ui-border-b app_pb5 ">截止日期:' + tradeObj.finish + '</div></div>';
			} else if(tradeObj.type ==='tasteCoupon'){
				couponHtml = '<div class="app_coupon_title_box"><span class="app_coupon_num"><h5 class="app_c6 app_pb10">体验金</h5><span class="'+showobj.numClass+'">' + tradeObj.amount + '</span></span><span class="app_coupon_unit">元</span></div><div class="app_coupon_detail"><div class="ui-border-b app_pb5 '+ showobj.rateDays +'">体验天数:' + tradeObj.rateDays + '天</div>'+ showobj.products + showobj.rules +'</div>';
			}
			return couponHtml;
		},
		//已过期优惠劵
		itemsExpiredObj: function(tradeObj) {
			var _this = this;
			var couponHtml = '';
			var showobj = _this.couponPublic(tradeObj);
			
			if(tradeObj.type ==='coupon'){
				couponHtml = '<div class="app_coupon_title_box"><span class="app_coupon_num"><h5 class="app_c6 app_pb10">代金券</h5><span class="'+showobj.numClass+'">' + tradeObj.amount + '</span></span><span class="app_coupon_unit">元</span></div><div class="app_coupon_detail">'+ showobj.products + showobj.rules +'<div class="ui-border-b app_pb5 ">截止日期:' + tradeObj.finish + '</div></div>';
			} else if(tradeObj.type ==='redPackets'){
				couponHtml = '<div class="app_coupon_box"><span class="app_coupon_num"><h5 class="app_c6">红包</h5></span></div><div class="app_coupon_take">已过期</div><div class="app_coupon_takedetail app_coupon_date"><h5 class="app_f11 app_mt60">领取截止日:' + tradeObj.finish  + '</h5></div>';
			} else if(tradeObj.type ==='rateCoupon'){
				couponHtml = '<div class="app_coupon_title_box"><span class="app_coupon_num"><h5 class="app_c6 app_pb10">加息券</h5><span class="'+showobj.numClass+'">' + tradeObj.amount + '</span></span><span class="app_coupon_unit">%</span></div><div class="app_coupon_detail"><div class="ui-border-b app_pb5 '+ showobj.rateDays +'">加息天数:' + tradeObj.rateDays + '天</div>' + showobj.products + showobj.rules + '<div class="ui-border-b app_pb5 ">截止日期:' + tradeObj.finish + '</div></div>';
			} else if(tradeObj.type ==='tasteCoupon'){
				couponHtml = '<div class="app_coupon_title_box"><span class="app_coupon_num"><h5 class="app_c6 app_pb10">体验金</h5><span class="'+showobj.numClass+'">' + tradeObj.amount + '</span></span><span class="app_coupon_unit">元</span></div><div class="app_coupon_detail"><div class="ui-border-b app_pb5 '+ showobj.rateDays +'">体验天数:' + tradeObj.rateDays + '天</div>' + showobj.products + showobj.rules + '</div>';
			}
			return couponHtml;
		},
		couponPublic: function (tradeObj){
			var _this = this;
			var showobj = {};
			var numLength = tradeObj.amount.toString().length;
			showobj.numClass = "";
			if(numLength < 4){
				showobj.numClass = "app_f40"
			}else if(numLength < 6){
				showobj.numClass = "app_f30"
			}else{
				showobj.numClass = "app_f14"
			}
			
			if(tradeObj.rateDays === null){
				showobj.rateDays = 'app_none';
			}
			if(tradeObj.products === null){
				if(tradeObj.type=== 'tasteCoupon'){
					tradeObj.products = '国槐体验产品'
				}else{
					tradeObj.products = '全品类产品通用'
				}
				
			}
			
			
			var productshow = tradeObj.products.length > 20 ? "..." : "";
			if(tradeObj.products.length > 20){
				showobj.products = '<div class="ui-border-b app_pb5 coupon-products-btn" data-products="'+ tradeObj.products +'">适用产品:' + tradeObj.products.substr(0,20) + '<span>'+ productshow +'</span>' +'</div>';
			} else {
				showobj.products = '<div class="ui-border-b app_pb5">适用产品:' + tradeObj.products.substr(0,20) + '<span>'+ productshow +'</span>' +'</div>';
			}

			
			
			var rules = "";
			if(tradeObj.rules === null) {
				if(tradeObj.minAmt){
					rules = "满"+tradeObj.minAmt+"元可使用"
				}else{
					rules = "全场适用"
				}
			}else{
				if(tradeObj.minAmt){
					rules = "满"+tradeObj.minAmt+"元可使用，"+tradeObj.rules
				}else{
					rules = tradeObj.rules
				}
			}
			
			var ruleshow = rules.length > 20 ? "..." : "";
			if(rules.length > 20){
				showobj.rules = '<div class="ui-border-b app_pb5 coupon-rules-btn" data-rules = "'+ rules +'">使用规则:' + rules.substr(0,20) + '<span>'+ ruleshow +'</span>' +'</div>';
			}else{
				showobj.rules = '<div class="ui-border-b app_pb5">使用规则:' + rules.substr(0,20) + '<span>'+ ruleshow +'</span>' +'</div>';
			}

			
			return showobj;
		},
		getExpProducts: function(couponId, amount){
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.expproducts + '?channeOid='+channelOid,
				type:'post',
				async: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
						GHUTILS.OPENPAGE({
							url: '../../html/product-tn/product-tn-expproducts-detail.html',
							id: GHUTILS.PAGESID.PROTNEXPDETAIL,
							extras: {
								productOid: result.oid,
								couponId: couponId,
								amount: amount,
								coupon: GHUTILS.PAGESID.COUPON
							}
						})
						GHUTILS.nativeUI.showWaiting();
					}
				}
			})
		}
	}
	mui.plusReady(function() {
		var ac = new ACCOUNT();
		ac.init();
	});
})(Zepto);
