/*
 Title:充值
 Author:chen
 Date:2016-6-23 15:31:00
 Version:v1.0
*/
mui.init();
(function($) {
	var DP = function(){
		this.ws = plus.webview.currentWebview();
		this.tips = "#app_tips_box1";
		this.tipsYi = "#app_tips_box2";
		
		return this;
	}
	DP.prototype = {
		init:function(){
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.usermoneyinfo,
				type: "post",
				sw: true,
				callback: function(result) {
					if(GHUTILS.checkErrorCode(result,_this.tips)){
						//显示账户余额
						$("#app_usedSa").html(GHUTILS.formatCurrency(result.balance) || 0);
					}
					//关闭等待图标
					plus.nativeUI.closeWaiting();
				}
			});  
		},		
		getData:function(){
			var _this = this;
		},
		bindEvent:function(){
			var _this = this;
			
			$('#app_confirm[type="checkbox"]').on("change", function(){
			    if($(this).is(':checked')){
			       $(this).parent('span').removeClass('app_icon_checknone').addClass('app_icon_checked')
			    }else {
			        $(this).parent('span').removeClass('app_icon_checked').addClass('app_icon_checknone')
			    }
		    })
			
			//充值金额
			$("#app_money").on({
				"focus":function(){
					$(document).on('keyup', function (e) {
						if (e.keyCode === 13) {
							$("#app_money").blur();
						}
					}.bind(this))
				},
				"blur": function() {
					var formatMoney = GHUTILS.formatCurrency($("#app_money").val());
					formatMoney = formatMoney == '0.00' ? '' : formatMoney;
					$("#app_money").val(formatMoney);
					$(document).off('keyup')
				},
				"input": function() {
					$("#app_bigRMB").html(digitsToBigRMB.convertCurrency($("#app_money").val()));
				}
			});
			
			$("#app_getRechargeFrom").on("tap", function() {
				$(_this.tips).html("&nbsp;");
				if (!GHUTILS.validate("app_deposit_div")) {
					return
				} else if (_this.validMoney()) {
					return
				} else if (!$("#app_confirm")[0].checked) {
					GHUTILS.showError("您必须同意《充值代扣委托书》", _this.tips);
					return
				} else {
					_this.goDepositHtml();
				}
			});
			
			
			
			$("#app_yiRecharge").on('tap', function() {
				$(_this.tipsYi).html('&nbsp;');
				if (!GHUTILS.validate("app_mobilePhone_div")) {
					return
				} else if (!GHUTILS.validate("app_vericode_div")) {
					return
				}
				
			});
			
			//充值代扣委托书
			$('#app-recharge').on('tap',function(){
				GHUTILS.OPENPAGE({
					url:"../index/index-linkpage.html",
					id:GHUTILS.PAGESID.LINKPAGES,
					extras:{
						contentId:"app-recharge",
						title:$("#app-recharge").attr("data-title"),
						payvalue:parseFloat($('#app_money').val().trim().replace(/\,/g, '')) || 0.00
					}
				})
			});
			
		},
		
		//校验金额
		validMoney: function() {
			var valid = false;
			var _this = this;
			//金额
			var money = parseFloat($('#app_money').val().trim().replace(/\,/g, ''));
			
			if (money < 5) {
				GHUTILS.showError("充值金额有误，充值金额不能低于5元!", _this.tips);
				valid = true;
			}
			if (money >= 5000) {
				GHUTILS.showError("充值金额有误，充值金额不能超过5000元!", _this.tips);
				valid = true;
			}
			return valid;
		},
		goDepositHtml:function() {
			var _this = this;
			var rechgAmount = $("#app_money").val().trim().replace(/\,/g, '');
			GHUTILS.OPENPAGE({
				url: 'account-zxym.html',
				id: GHUTILS.PAGESID.WEBPAGES,
				extras:{
					title: "充值",
					postindex: 1,
					value: rechgAmount,
					pagesid: GHUTILS.PAGESID.DEPOSIT
				}
			});
	
		},
		//页面数据重置
		pageReset:function(){
			var _this = this;
			$('#app_money').blur();
			$('#app_money').val('');
			$('#app_usedSa').html('');
			$("#app_bigRMB").html('');
			_this.pageInit();
		},
		refreshPages:function(){
			if(plus.webview.getWebviewById(GHUTILS.PAGESID.PROTNORDER)){
				mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.PROTNORDER),"loadData");
			}else if(plus.webview.getWebviewById(GHUTILS.PAGESID.PROT0ORDER)){
				mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.PROT0ORDER),"loadData");
			}
		}		
	}
	mui.plusReady(function(){
		var dp = new DP();
			dp.init();
		document.addEventListener("pageReset", function(e) {
				dp.pageReset();
		});
	});
})(Zepto);
