/*
 Title:体验金
 Author:dxy
 Date:2016-7-7 10:00:00
 Version:v1.0
*/
(function($) {

	var EXPERIENCE_GOLD = function() {
		this.ws = plus.webview.currentWebview();
		this.btnStatus = {
			"CS": "计息中",
			"DQ": "提 取",
			"ZR": "提取中,次日到帐",
			"WC": "已提取"
		};
		this.hasRealName = false;
		this.btnClick = false;
		return this;
	}
	EXPERIENCE_GOLD.prototype = {
		init: function() {
			this.pageInit(); //页面初始化
			this.bindEvent(); //事件绑定
		},
		pageInit: function() {
			var _this = this;
			_this.userInfo = GHUTILS.getLocalUserInfo();
			_this.hasRealName = _this.userInfo.realName == "" ? false : true;
			_this.getData(); //获取数据
		},
		getData: function() {
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.custExpGold,
				type: "GET",
				data: {},
				async: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
						var list = result.data;
						var html = '';
						for (var i in list) {
							html += _this.getHtml(list[i]);
						}
						if (html == "") {
							$("#app_list_tips").removeClass("app_none");
						}
						$("#app-goldList").html(html);
						_this.bindEvent();
					}
					plus.nativeUI.closeWaiting();
				}
			})

		},
		getHtml: function(tradeObj) {
			//体验金状态
			var status = true;
			if (tradeObj.sta == 'DQ' || tradeObj.sta == 'WC' || tradeObj.sta == 'ZR') {
				status = false;
			}
			var on = status ? 'on' : '';
			//按钮状态
			var disabled = tradeObj.sta == 'DQ' ? "" : "disabled";
			var html = '<div class="app_Exgold ' + on + ' ' + disabled + '"><div class="app_table"><div class="app_Exgold_left app_td"><span class="app_f30 app_corg">' + tradeObj.tyPrnAmt + '</span><span class="app_coupon_unit app_corg">元</span><h5 class="">' + tradeObj.useStartDt + '起息</h5><h5 class="">' + tradeObj.useEndDt + '到期</h5></div><div class="app_Exgold_info app_td"><h5 class="">预期收益:' + tradeObj.tyIntAmt + '</h5><h5>预期年化收益率：' + tradeObj.tyYrt + '%</h5><h5>' + tradeObj.promNm + '</h5></div></div><p class="btn_outer"><button type="button" btn-state="' + tradeObj.sta + '" data-id="' + tradeObj.custExpGoldId + '" class="app-withdraw mui-btn mui_wh_btn">' + this.btnStatus[tradeObj.sta] + '</button></p></div>';
			return html;
		},
		bindEvent: function() {
			var _this = this;
			$(".app-withdraw").off().on("tap", function() {
				_this.btnClick = $(this).attr('btn-state') == "DQ" ? true : false;
				if (_this.btnClick) {
					if (_this.hasRealName) {
						$(this).attr("disabled", "false");
						_this.convertExpGold($(this).attr('data-id'));
					} else {
						GHUTILS.toast('请先完成实名认证!');
						setTimeout(
							GHUTILS.OPENPAGE({
								url: "../usermgmt/usermgmt-realname.html",
								id: GHUTILS.PAGESID.REALNAME
							}), 500)
					}
				}
			})

			$(".mui-action-back").on("tap", function() {
				mui.init({
					beforeback: function() {
						GHUTILS.refreshPages();
						//返回true，继续页面关闭逻辑
						return true;
					}
				});
			})
		},

		convertExpGold: function(id) {
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.convertExpGold,
				data: {
					custExpGoldId: id
				},
				type: "post",
				async: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
						if (result.success == 'true') {
							mui.alert('提取申请已提交，次日到账', '提取通知');
							_this.getData();
						} else {
							GHUTILS.showError(result.msg);
						}
					}
				}
			})
		}
	}
	mui.plusReady(function() {
		var ac = new EXPERIENCE_GOLD();
		ac.init();
	});
})(Zepto);