/*
 Title:我的活期
 Author:fanyu
 Date:2016-8-19 9:31:00
 Version:v1.0
*/

(function($) {

	var ACCOUNT = function() {
		this.ws = null;
		return this;
	}
	ACCOUNT.prototype = {
		init: function() {
//			GHUTILS.setUserAgent();
//			$("#slider").css({"top": GHUTILS.setTop(220)+"px !important"})
			this.pageInit(); //页面初始化
			this.bindEvent(); //事件绑定
			this.pullRefresh();
		},
		pageInit: function() {
			var _this = this;
			GHUTILS.listLinks();
			document.addEventListener("loadData", function(e) {
				_this.getData(0, mui("#holdingList").pullToRefresh());
			});
		},
		getData: function(index, refresh) {/*活期数据*/
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.prot0list,
				async: true,
				timeout: 3000,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
							$("#holdcount").html(result.holdingDetails.total)
							$("#applycount").html(result.toConfirmDetails.total)
//						}
						var html = '';
						$("#app-holdamt").html(GHUTILS.formatCurrency(result.t0CapitalAmount))
						$("#yes-income").html(GHUTILS.formatCurrency(result.t0YesterdayIncome))
						$("#app-historySY").html(GHUTILS.formatCurrency(result.totalIncomeAmount))
						if(index === 0){
							for(var i in result.holdingDetails.rows){
									html += _this.getHoldingHtml(result.holdingDetails.rows[i]);
								}
								$('#app-JH-box').html(html);
						} else {
							for(var i in result.toConfirmDetails.rows){
									html += _this.getApplyingHtml(result.toConfirmDetails.rows[i]);
								}
							$('#app-SH-box').html(html);
							
						}
//						if (list.length < 10 || $.isEmptyObject(list)) {
							refresh.endPullUpToRefresh(true);
//						} else {
//							refresh.endPullUpToRefresh(false);
//						}
						
						_this.bindEvent();
						_this.closeWaiting(index);
					}
				},
				errcallback: function(result) {
					refresh.endPullUpToRefresh(true);
				}
			});
		},
		closeWaiting: function(index) {
			if (mui("#slider").slider().getSlideNumber() == index) {
				plus.nativeUI.closeWaiting();
			}
		},
		getHoldingHtml: function(tradeObj) {
			var detailHtml = '<div class="app_c8">冻结金额(元)</div><div class="app_mt5 app_c2">' + GHUTILS.formatCurrency(tradeObj.toConfirmRedeemVolume) + '</div>';
			var name = tradeObj.productName;
			if(name.length > 14){
				name = name.substr(0,14)+'...'
			}
			var holdingHtml = '<div class="app_myproduct_box app_pb20"><div class="app_box_title"><div class="app_box_title_txt"><span class="app_title_more app_fr app_c8 app_cdetail app_informaion app_links" data-proName="' + tradeObj.productName + '" data-url="' + tradeObj.productOid + '" data-totalAmt="'+tradeObj.value+'" data-redeem="'+tradeObj.toConfirmRedeemVolume+'" data-totalInt="'+tradeObj.holdTotalIncome+'" data-ytdInt="'+tradeObj.yesterdayIncome+'">详情 ></span><span class="app_fn app_f1x">' + name  + '</span></div></div><div class="app_box_con app_f1x app_pb10"><ul class="mui-table-view mui-grid-view"><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8">当前价值(元)</div><div class="app_mt5 app_c2">' + GHUTILS.formatCurrency(tradeObj.value) + '</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8">昨日收益(元)</div><div class="app_mt5 app_c2">' + GHUTILS.formatCurrency(tradeObj.yesterdayIncome) + '</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8">累计收益(元)</div><div class="app_mt5 app_c2">' + GHUTILS.formatCurrency(tradeObj.holdTotalIncome) + '</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left">' + detailHtml + '</li></ul></div></div>';

			return holdingHtml;
		},
		getApplyingHtml: function(tradeObj) {
			var name = tradeObj.productName;
			if(name.length > 14){
				name = name.substr(0,14)+'...'
			}
			var applyingHtml = '<div class="app_myproduct_box app_pb20"><div class="app_box_title"><div class="app_box_title_txt"><span class="app_fn app_f1x">' + name + '</span></div></div><div class="app_box_con app_f1x app_pb10"><ul class="mui-table-view mui-grid-view"><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8">投资金额(元)</div><div class="app_mt5 app_c2">' + GHUTILS.formatCurrency(tradeObj.toConfirmInvestVolume) + '</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8">申请状态</div><div class="app_mt5 app_c2">申请中</div></li></ul></div></div>';
			

			return applyingHtml;
		},
		bindEvent: function() {
			var _this = this;
			$(".app_links").off().on("tap", function() {
				var productOid = $(this).attr("data-url");
				if ($("#app-holding").hasClass("mui-active")) {
					var proName = $(this).attr("data-proName");
					var redeem = parseFloat(GHUTILS.toFixeds($(this).attr("data-redeem"),2,''));
					GHUTILS.OPENPAGE({
						url: "account-product-t0-holding-details.html",
						id: GHUTILS.PAGESID.ACCT0HOLDDET,
						extras: {
							"productOid": productOid,
							proName: proName,
//							redeem: redeem,
							orderlist: "orderlist",
							"totalAmt":$(this).attr("data-totalAmt"),//当前价值
							"totalInt":$(this).attr("data-totalInt"),//累计收益
							"ytdInt":$(this).attr("data-ytdInt"),//昨日收益
							proT0OrderList: 'PROT0ORDERLIST'
						}
					})
				} else {
					GHUTILS.OPENPAGE({
						url: "../product-t0/product-t0-detail.html",
						id: GHUTILS.PAGESID.PROT0DETAIL,
						extras: {
							"productOid": productOid,
							orderlist: "orderlist"
						}
					})
				}
				GHUTILS.nativeUI.showWaiting();
			});
			$(".app-details").off().on("tap", function() {
				GHUTILS.OPENPAGE({
					url: "account-product-t0-frozendetails.html",
					id: GHUTILS.PAGESID.FROZENDETAIL,
					extras: {
						"productOid": $(this).attr("data-href-detail"),
					}
				})
				GHUTILS.nativeUI.showWaiting();
			})

		},
		pullRefresh: function() {
			var _this = this;

			//阻尼系数
			var deceleration = mui.os.ios ? 0.003 : 0.0009;
			mui('.mui-scroll-wrapper').scroll({
				bounce: false,
				indicators: true, //是否显示滚动条
				deceleration: deceleration
			});
			mui.ready(function() {

				//循环初始化所有下拉刷新，上拉加载。
				mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
					mui(pullRefreshEl).pullToRefresh({
						up: {
							auto: true,
							callback: function() {
								var self = this;
								_this.getData(index, self);
							}
						}
					});
				});
			});

		}
	}
	mui.plusReady(function() {

		var ac = new ACCOUNT();
		ac.init();
	});
})(Zepto);
