/*
 Title:我的
 Author:yang sen
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
(function($) {

	var ACCOUNT = function() {
		this.ws = null;
		this.userInfo = null;
		this.historySY = 0;
		this.totalVal = 0;
		this.yincome = 0;
		this.t0 = 0;
		this.tn = 0;
		this.invitecode = null;
		this.expTipNum = 0;
		return this;
	}
	ACCOUNT.prototype = {
		init: function() {
			this.pageInit(); //页面初始化
			this.getData(); //获取数据
			this.bindEvent(); //事件绑定
		},
		pageInit: function() {
			var _this = this;
//			localStorage.setItem('expCheck', '1');
			//下拉刷新
			mui.init({
				pullRefresh: {
					indicators: false,
					container: "#app_pullRefresh", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
					down: {
						contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
						contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
						contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
						callback: function() {
								setTimeout(function() {
									mui('#app_pullRefresh').pullRefresh().endPulldownToRefresh();
								}, 300);
								setTimeout(function() {
									GHUTILS.getUserInfo(function() {
										_this.getData(true);
									});
								}, 500);
							} //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
					}
				}
			});

			//重新加载数据
			document.addEventListener("loadData", function(e) {
				_this.getData();
			});
			
			
		},
		getData: function(ifLogin) {
//			this.getQueryInvestingAmount();
//			this.getT0totalInt();
//			this.getExpGold();
			this.setData(ifLogin);
			this.getActivity();
			this.elementConfig();
		},
		setData: function(ifLogin) {
			var that = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.useraccount,
				type: "post",
				async: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if (result.errorCode == 0) {
						
						that.totalVal = GHUTILS.formatCurrency(result.capitalAmount); //总资产
						that.historySY = GHUTILS.formatCurrency(result.totalIncomeAmount); //累计收益
						that.yincome = GHUTILS.formatCurrency(result.t0YesterdayIncome); //昨日收益
						that.tn = GHUTILS.formatCurrency(result.tnCapitalAmount); //定期持有中金额
						that.t0 = GHUTILS.formatCurrency(result.t0CapitalAmount); //活期期持有中金额
			
						that.invitecode = result.uid;
						if(that.totalVal.length > 20){
							$("#app-totalValue").addClass("app_f24")
						} else if(that.totalVal.length > 14){
							$("#app-totalValue").addClass("app_f30")
						}
						$("#app-totalValue").html(that.totalVal);
//						$("#app-totalsa").html(that.totalSa);
						$("#app-historySY").html(that.historySY);
						$("#yesterday-income").html(that.yincome);
						$("#hold-t0").html(that.t0)
						$("#hold-tn").html(that.tn)
						
						that.eyeStatus();//小眼睛的状态
					}else if(ifLogin && result.errorCode == 10002){
						GHUTILS.loginOut(function(){
							var cb = {
								cb:"reload",
								pageid:plus.webview.currentWebview().id
							}
							GHUTILS.openLogin(JSON.stringify(cb));
						});
					}else if(ifLogin){
						mui.toast(result.errorMessage)
					}
				}
			});
		},
		getActivity: function() {
//			$(".app_mybanner").height($(".mylink").height())
			_this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.HOME.getmypageacts +"?channelOid="+ cmsChannelOid,
				type: "post",
				async: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					
					
					if (GHUTILS.checkErrorCode(result)) {
						var images = ''
						var details = result.info.mypage;
						for(var i in details){
							var picUrl = details[i].picUrl;
							var title = details[i].title;
							var links = details[i].linkUrl || '';
							var toPages = details[i].toPage || '';
							var _imgname = details[i].picUrl.split("/")[2] || "";
							var relativePath = GHUTILS.API.HOME.pichosturl + picUrl  || "";
							
							images += '<div class="mylink" data-title="'+ title +'" data-links="'+ links +'" data-toPages="'+ toPages +'"><img src="'+ relativePath +'" alt=""/></div>'
						}
//						var image = '<img src="../../images/banner4.png" alt=""/>'
						$(".app_mybanner").html(images);
						_this.bindEvent()
					}
				}
			});
		},
		//元素配置
		elementConfig: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.LOGS.elementConfig+'?codes=["coupon","invitefriends","myinvitation","myregular"]',
				type: "post",
				callback: function(result){
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result) && result.datas.length > 0){
						result.datas.forEach(function(e, i){
							if(e.isDisplay == "yes"){
								$("#app_"+e.code).removeClass("app_none")
							}else if(!$("#app_"+e.code).hasClass("app_none")){
								$("#app_"+e.code).addClass("app_none")
							}
						})
					}
				}
			})
		},
		eyeStatus: function() {
			var _this = this;
			
			if(GHUTILS.getLocalCfg("showstatus")) {
				$('.app-icon-eye').addClass("mui-active");
				$("#app-totalValue").html(_this.totalVal).removeClass("app_f22")
				$("#app-historySY").html(_this.historySY)
				$("#hold-t0").html(_this.t0)
				$("#hold-tn").html(_this.tn)
				$("#yesterday-income").html(_this.yincome)
			} else {
				$('.app-icon-eye').removeClass("mui-active");
				$("#app-totalValue").html("****").addClass("app_f22")
				$("#app-historySY").html("****")
				$("#yesterday-income").html("****")
				$("#hold-t0").html("****")
				$("#hold-tn").html("****")
			}
		},
		bindEvent: function() {
			var _this = this;
			//总收益
			$(".app-totalValue-box").off().on("tap", function() {
				if(GHUTILS.getloginStatus(true)){
//					if(GHUTILS.formatCurrency(_this.totalVal) != "0.00") {
						GHUTILS.OPENPAGE({
							url: "account-details.html?as=totalValue",
							id: GHUTILS.PAGESID.ACCOUNTDETAIL
						})
						GHUTILS.nativeUI.showWaiting();
//					}
				}
			});
			
			$(".app-icon-eye").off().on("tap", function(){
				if($(this).hasClass("mui-active")){
					$(this).removeClass("mui-active");
					$("#app-totalValue").html("****").addClass("app_f22")
					$("#app-historySY").html("****")
					$("#yesterday-income").html("****")
					$("#hold-t0").html("****")
					$("#hold-tn").html("****")
					GHUTILS.upDataLocalCfig({
						spwd:GHUTILS.getLocalCfg("spwd") || '',
						cfg:GHUTILS.getLocalCfg("spwdcfg") ? true : false,
						skip:GHUTILS.getLocalCfg("skip") ? true : false,
                        touchid:GHUTILS.getLocalCfg("touchid") ? true : false,
						showstatus : false
					})
				} else {
					$(this).addClass("mui-active");
					$("#app-totalValue").html(_this.totalVal).removeClass("app_f22")
					$("#app-historySY").html(_this.historySY)
					$("#hold-t0").html(_this.t0)
					$("#hold-tn").html(_this.tn)
					$("#yesterday-income").html(_this.yincome)
					GHUTILS.upDataLocalCfig({
						spwd:GHUTILS.getLocalCfg("spwd") || '',
						cfg:GHUTILS.getLocalCfg("spwdcfg") ? true : false,
						skip:GHUTILS.getLocalCfg("skip") ? true : false,
                        touchid:GHUTILS.getLocalCfg("touchid") ? true : false,
						showstatus : true
					})
				}
			})
			//累计收益
			$(".app-historySY-box").off().on("tap", function() {
				if(GHUTILS.getloginStatus(true)){
//					if (_this.historySY != "0.00") {
						GHUTILS.OPENPAGE({
							url: "account-income.html",
						})
						GHUTILS.nativeUI.showWaiting();
//					}
				}
			});
			//游戏
			$("#app_game").off().on("tap", function() {
				GHUTILS.OPENPAGE({
					url:"../index/index-linkpage.html",
					id:GHUTILS.PAGESID.LINKPAGES,
					extras:{
						links:"http://h5.flyfinger.com/2016/baofeng/millionaire/index.html?app=millionaire&tel="+GHUTILS.getLocalUserInfo('userAcc'),
						title:"大富翁"
					}
				})
			});
			
			//活动
			$(".mylink").off().on("tap", function() {
				var title = $(this).attr("data-title");
				var links = $(this).attr("data-links");
				var topage = $(this).attr("data-toPages");
//				console.log(links)
				if (topage) {
						GHUTILS.OPENPAGE({
							url: "../../html/usermgmt/usermgmt-reg.html",
							id: GHUTILS.PAGESID.REG
						})
						GHUTILS.nativeUI.showWaiting();
					}  else if (links != '')  {
						GHUTILS.OPENPAGE({
							url:"../index/index-linkpage.html",
							id:GHUTILS.PAGESID.LINKPAGES,
							extras:{
								links:links,
								title:title
							}
						})
					}
			})
			
			//邀请好友
			$("#app_invitefriends").off().on("tap", function() {		
				if(GHUTILS.getloginStatus(true)){
					GHUTILS.OPENPAGE({
						url: "account-toinvite.html",
						id: "toinvite",
						extras: {
							invitecode: _this.invitecode
						}
					})
					GHUTILS.nativeUI.showWaiting();
				}
			});
			
			//我的邀请
			$(".app-invite").off().on("tap", function() {		
				if(GHUTILS.getloginStatus(true)){
					GHUTILS.OPENPAGE({
						url: "account-invitation.html",
						id: GHUTILS.PAGESID.INVITATION,
						extras: {
							invitecode: _this.invitecode
						}
					})
					GHUTILS.nativeUI.showWaiting();
				}
			});

			//我的优惠卷
			$(".app-coupon").off().on("tap", function() {
				if(GHUTILS.getloginStatus(true)){
					GHUTILS.OPENPAGE({
						url: 'account-coupon.html',
						id: 'coupon'
					})
					GHUTILS.nativeUI.showWaiting();
				}
			})

			//我的活期
			$("#app-xin").off().on("tap", function() {
				if(GHUTILS.getloginStatus(true)){
					GHUTILS.OPENPAGE({
						url: "account-product-t0-orderlist.html",
						id: GHUTILS.PAGESID.PROT0ORDERLIST,
					});
					GHUTILS.nativeUI.showWaiting();
				}
			})

			//我的定期
			$("#app_myregular").off().on("tap", function() {
				if(GHUTILS.getloginStatus(true)){
					GHUTILS.OPENPAGE({
						url: "account-orderlist.html",
						id: GHUTILS.PAGESID.PROTNORDERLIST,
					});
					GHUTILS.nativeUI.showWaiting();
				}
			})
			
			//充提记录
			$("#record").off().on("tap",function() {
				if(GHUTILS.getloginStatus(true)) {
					GHUTILS.OPENPAGE({
						url:"account-deposit-widthdraw-record.html",
					})
				}
			})
			
			//交易明细
			$("#detail").off().on("tap",function() {
				if(GHUTILS.getloginStatus(true)) {
					GHUTILS.OPENPAGE({
						url:"account-deal-parent.html",
						id:GHUTILS.PAGESID.ACCDEALPT
					})
				}
			})
			
			//活期投资
			$("#app_invest").off().on("tap", function() {
				GHUTILS.OPENPAGE({
					url: "../product-t0/product-t0-detail.html",
					id: GHUTILS.PAGESID.PROT0DETAIL,
					extras: {
						productOid: JSON.parse(localStorage.getItem("productInfo")).productOid || ''
					}
				});
				GHUTILS.nativeUI.showWaiting();
			})
				
			//活期赎回
			$("#app_redeem").off().on("tap", function() {
				GHUTILS.OPENPAGE({
					url: "account-product-t0-redeem.html",
					id: GHUTILS.PAGESID.T0REDEEM,
					extras: {
						productOid: JSON.parse(localStorage.getItem("productInfo")).productOid || '',
						productName: JSON.parse(localStorage.getItem("productInfo")).productName || ''
					}
				});
			})
			
			//活期资金明细
			$("#app_t0DealDetail").off().on("tap", function() {
				GHUTILS.OPENPAGE({
					url: "account-product-t0-deal.html",
					id: GHUTILS.PAGESID.T0DEAL,
					extras: {
						productOid: JSON.parse(localStorage.getItem("productInfo")).productOid || '',
						tabid: '0'
					}
				});
			})

			$("#app-applying-box").off().on("tap", function() {
				GHUTILS.OPENPAGE({
					url: "account-orderlist.html?as=" + "item2mobile",
					id: GHUTILS.PAGESID.PROTNORDERLIST,
					extras: {
						"tabid": "applying"
					}
				})
				GHUTILS.nativeUI.showWaiting();
			});

			$("#app-holding-box").off().on("tap", function() {
				GHUTILS.OPENPAGE({
					url: "account-orderlist.html",
					id: GHUTILS.PAGESID.PROTNORDERLIST,
					extras: {
						"tabid": "holding"
					}
				})
				GHUTILS.nativeUI.showWaiting();
			});
			
		    //充值
//			$("#app-accountRecharge").off().on("tap", function() {
//				if(GHUTILS.getloginStatus(true) && GHUTILS.checkDepWit()) {
//					GHUTILS.OPENPAGE({
//						url: "account-deposit.html",
//						id: GHUTILS.PAGESID.DEPOSIT,
//					})
//				}
//			})
			//存活期
			$("#app-t0").off().on("tap", function() {
				mui.fire(plus.webview.getLaunchWebview(), "showtab",{
					tabindex: 1,
					elm:'app_productt0'
				});
			})
			
			//提现
			$("#app-accountWithdraw").off().on("tap", function() {
				if($(this).hasClass("app_loading")){
					return
				}
				if(GHUTILS.getloginStatus(true) && GHUTILS.checkDepWit()) {
//					GHUTILS.OPENPAGE({
//						url: "account-withdraw.html",
//						id: GHUTILS.PAGESID.WITHDRAW
//					});
					GHUTILS.nativeUI.showWaiting();
					$("#app-accountWithdraw").addClass("app_loading")
					_this.getProt0list();
				}
			});

			$(".app-expgold").off().on("tap", function() {
				if ($(this).hasClass("data-role")) {
					if (localStorage.getItem('expCheck') > 0) {
						localStorage.setItem('expCheck', '0');
						localStorage.setItem('expNum', _this.expTipNum);
					}
				}
				GHUTILS.nativeUI.showWaiting();
				GHUTILS.OPENPAGE({
					url: "account-expgold.html",
					id: "expGold",
				})
			})

			//连接入口
			GHUTILS.listLinks();

			GHUTILS.getHotline(false, $("#app_tel_link"))
		},
		//请求体验金数据
		getExpGold: function() {
			var _this = this;
			var staArr = [];
//			$('#expTop').addClass("app_none");
			if(!GHUTILS.getloginStatus(false)){
				return
			}
			_this.expTip = localStorage.getItem('expCheck');
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.custExpGold,
				async: true,
				callback: function(result) {
					if (result.success == 'true') {
						if (result.data.length > 0) {
							for (var i = 0; i < result.data.length; i++) {
								if (result.data[i].sta == "CS") {
									staArr.push(result.data[i].sta);
								}
							}
//							$('[data-id="expGoldAmount"]').html('¥' + result.data[0].tyPrnAmt);
							_this.expTipNum = staArr.length;
							$('[data-id="expGoldNum"]').html(_this.expTipNum);
							if ((_this.expTip == null || _this.expTip > 0) && _this.expTipNum > 0) {
								$('#expTop').removeClass("app_none");
								localStorage.setItem('expCheck', '1');
								localStorage.setItem('expNum', _this.expTipNum);
							} else {
								$('#expTop').addClass("app_none");
								if (_this.expTipNum > localStorage.getItem('expNum')) {
									localStorage.setItem('expCheck', '1');
									$('#expTop').removeClass("app_none");
								}
							}
						}
					}
				}
			});
		},
		//提现获取持有中产品
		getProt0list: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.prot0list,
				type: "post",
				sw: false,
				callback: function(result) {
					console.log("1."+JSON.stringify(result))
					if(result && result.errorCode == 0){
						if(result.productOid){
							_this.gett0detail(result.productOid);
						}else{
							plus.nativeUI.closeWaiting();
							$("#app-accountWithdraw").removeClass("app_loading")
							var btnArray = ['取消', '存活期'];
							mui.confirm('您暂无可提现的非体验金活期产品', '', btnArray, function(e) {
								if (e.index == 1) {
									mui.fire(plus.webview.getLaunchWebview(), "showtab",{
										tabindex: 1,
										elm:'app_productt0'
									});
								}
							})
						}
					}else if(result.errorCode == 10002){
						plus.nativeUI.closeWaiting();
						$("#app-accountWithdraw").removeClass("app_loading")
						GHUTILS.loginOut(function(){
							var cb = {
								cb:"reload",
								pageid:plus.webview.currentWebview().id
							}
							GHUTILS.openLogin(JSON.stringify(cb));
						});
					}else{
						plus.nativeUI.closeWaiting();
						mui.toast(result.errorMessage)
						$("#app-accountWithdraw").removeClass("app_loading")
					}
				},
				errcallback: function(){
					$("#app-accountWithdraw").removeClass("app_loading")
				}
			});
		},
		//活期产品详情
		gett0detail: function(oid){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.TARGET.gett0detail+"?oid="+oid,
				type: "post",
				sw: false,
				callback: function(result) {
					console.log("2."+JSON.stringify(result))
					if(result && result.errorCode == 0){
						if(!result.investMin){
							result.investMin = 0
						}
						_this.prot0detail(oid, result.productName, result.isOpenRemeed, Number(result.incomeCalcBasis), result.investMin, HOST+result.serviceFiles[0].furl, HOST+result.investFiles[0].furl, result.productCode, result.companyName)
					}else if(result.errorCode == 10002){
						plus.nativeUI.closeWaiting();
						$("#app-accountWithdraw").removeClass("app_loading")
						GHUTILS.loginOut(function(){
							var cb = {
								cb:"reload",
								pageid:plus.webview.currentWebview().id
							}
							GHUTILS.openLogin(JSON.stringify(cb));
						});
					}else{
						plus.nativeUI.closeWaiting();
						mui.toast(result.errorMessage)
						$("#app-accountWithdraw").removeClass("app_loading")
					}
				},
				errcallback: function(){
					$("#app-accountWithdraw").removeClass("app_loading")
				}
			})
		},
		//我的活期产品详情
		prot0detail: function(productOid, productName, isOpenRemeed, incomeCalcBasis, purchasingAmount, serviceFiles, investFiles, productCode, companyName){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.prot0detail +"?productOid=" + productOid,
				data: {},
				type: "post",
				async: false,
				callback: function(result) {
					console.log("3."+JSON.stringify(result))
					$("#app-accountWithdraw").removeClass("app_loading")
					if (GHUTILS.checkErrorCode(result)) {
						if(isOpenRemeed == "NO"){
							plus.nativeUI.closeWaiting();
							var btnArray = ['取消', '存活期'];
							mui.confirm('您暂无可提现的活期产品', '', btnArray, function(e) {
								if (e.index == 1) {
									mui.fire(plus.webview.getLaunchWebview(), "showtab",{
										tabindex: 1,
										elm:'app_productt0'
									});
								}
							})
						}else if(result.singleDayRedeemCount && result.dayRedeemCount >= result.singleDayRedeemCount){
							mui.toast("产品已达当日最高赎回限制"+result.singleDayRedeemCount+"笔!")
							plus.nativeUI.closeWaiting();
							return
						}else{
							GHUTILS.OPENPAGE({
								url:"../../html/account/account-product-t0-redeem.html",
								id:GHUTILS.PAGESID.T0REDEEM,
							    extras:{
									productOid: productOid,
									productName: productName,
									redeem: result.redeemableHoldVolume,
									minRredeem: result.minRredeem,
									maxRredeem: result.maxRredeem,
									additionalRredeem: result.additionalRredeem,
									dailyNetMaxRredeem: result.dailyNetMaxRredeem,
									singleDailyMaxRredeem: GHUTILS.Fsub(result.singleDailyMaxRedeem, result.dayRedeemVolume),
									netMaxRredeemDay: result.netMaxRredeemDay,
									singleDailyMaxRedeem: result.singleDailyMaxRedeem,
									investFiles: investFiles,
									serviceFiles: serviceFiles,
									productCode: productCode,
									incomeCalcBasis: incomeCalcBasis,
									purchasingAmount: purchasingAmount,
									companyName: companyName,
									singleDayRedeemCount: result.singleDayRedeemCount
								}
							})
						}
					}else{
						plus.nativeUI.closeWaiting();
					}
				},
				errcallback: function(){
					$("#app-accountWithdraw").removeClass("app_loading")
				}
			});
		}
	}
	mui.plusReady(function() {

		var ac = new ACCOUNT();
		ac.init();
	});
})(Zepto);
