/*
 Title:提现
 Author:xu jinjin
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
mui.init();
(function($) {

	var WITHDRAW = function(){
		this.ws = null;
		this.userInfo = null;
		this.tips = $('#app_tips_box');
		return this;
	}
	WITHDRAW.prototype = {
		init:function(){
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
		},		
		getData:function(){
			var _this = this;	
			$(_this.tips).html("&nbsp;");
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.usermoneyinfo,
				type: "post",
				sw: true,
				callback: function(result) {
					if(GHUTILS.checkErrorCode(result,_this.tips)){
						$("#app_availableBalance").html(GHUTILS.formatCurrency(result.balance) || 0);
					}
					plus.nativeUI.closeWaiting();
				}
			});   	
		},
		bindEvent:function(){
			var _this = this;

			$("#app_withdrawMoney").on({
				"focus":function(){
					$(document).on('keyup', function (e) {
						if (e.keyCode === 13) {
							$("#app_withdrawMoney").blur();
						}
					}.bind(this))
				},
				"blur":function(){
					var formatMoney = GHUTILS.formatCurrency($("#app_withdrawMoney").val());
					formatMoney = formatMoney == '0.00' ? '' : formatMoney;
					$("#app_withdrawMoney").val(formatMoney);
					$(document).off('keyup')
				},
				"input":function(){
					$("#app_bigRMB").html(digitsToBigRMB.convertCurrency($("#app_withdrawMoney").val()));
				}
			})

			//提现
			$('#app_withdrawBtn').on('tap',function(){				
				var withdrawMoney = $("#app_withdrawMoney").val().trim().replace(/\,/g,'');
				//非数字自动变为0
				if(isNaN(withdrawMoney)){
					$("#app_withdrawMoney").val(0);
					return
				}			
				if(withdrawMoney == 0){
					$("#app_bigRMB").html('');
				}
				if(!GHUTILS.validate('app_money_div')){
					return
				}else if(_this.isValidMoney()){
					return
				}else{
					//提现
					_this.withdraw();
				}
			});
			
			//全部提现
			$('#app_withdrawAll').on('tap',function(){
				$(_this.tips).html("&nbsp;");
				var canWithDraw = $('#app_availableBalance').html();
				$('#app_withdrawMoney').val(canWithDraw);
				$("#app_bigRMB").html(digitsToBigRMB.convertCurrency(canWithDraw));
			});

		},
		//验证提现金额
		isValidMoney: function(){
			var _this = this;
			var valid = false;
			var withdrawMoney = parseFloat($('#app_withdrawMoney').val().trim().replace(/\,/g,''));
			var availableBalance = parseFloat($('#app_availableBalance').html().trim().replace(/\,/g,''));
			if(availableBalance == 0){
				GHUTILS.showError('账户余额不足，无法提现',_this.tips);
				valid = true;
			}else if(withdrawMoney > availableBalance){
				GHUTILS.showError('账户余额不足，无法提现',_this.tips);
				valid = true;
			}else if(withdrawMoney <= 0){
				GHUTILS.showError('提现金额有误，最低大于0元起提',_this.tips);
				valid = true;
			}else if(withdrawMoney >= 5000){
				GHUTILS.showError('提现金额有误，最高小于5000元起提',_this.tips);
				valid = true;
			}
			return valid;
		},
		//提现
		withdraw: function(iftrue){
			var _this = this;
			$(_this.tips).html("&nbsp;");
			
			GHUTILS.OPENPAGE({
				url: 'account-zxym.html',
				id: GHUTILS.PAGESID.WEBPAGES,
				extras:{
					title: "提现",
					postindex: 2,
					value: $("#app_withdrawMoney").val().trim().replace(/\,/g,''),
					pagesid: GHUTILS.PAGESID.WITHDRAW
				}
			});
		},
		pageReset:function(){
			var _this = this;
			$('#app_withdrawMoney').blur();
			$('#app_withdrawMoney').val('');
			$('#app_availableBalance').html('');
			$('#app_bigRMB').html('');
			_this.getData();
		}
	}
	mui.plusReady(function(){
		var wi = new WITHDRAW();
			wi.init();
		document.addEventListener("pageReset", function(e) {
			wi.pageReset();
		});
	});
})(Zepto);