/*
 Title:优惠券
 Author:yang sen
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
(function($) {
	var ACCOUNT = function() {
		this.ws = plus.webview.currentWebview();
		return this;
	}
	ACCOUNT.prototype = {
		init: function() {
			this.pageInit();
		},
		pageInit: function() {
			var _this = this;
			console.log(JSON.stringify(this.ws.availableCouponList))
			console.log(JSON.stringify(this.ws.notAvailableCouponList))
			console.log(JSON.stringify(this.ws.checkedCoupon))
			_this.getList(this.ws.availableCouponList, true);
			plus.nativeUI.closeWaiting();
		},
		getList: function(couponList, ifAvailable) {
			var _this = this;
			var couponHtml = '';
			if(couponList && couponList.length > 0){
				for (var i in couponList) {
					couponHtml += _this.addItem(couponList[i], ifAvailable);
				}
			}
			$('#app_couponList').append(couponHtml);
			if(ifAvailable){
				_this.getList(_this.ws.notAvailableCouponList, false);
				_this.selectCoupon();
			}else{
				_this.bindEvent();
			}
		},
		//可选优惠券点击
		selectCoupon: function(){
			var _this = this;
			$(".app_user_coupon_box .on").on('tap', function(){
				if($(this).find('input[type="checkbox"]').is(':checked')){
					$(this).find('input[type="checkbox"]')[0].checked = false;
					mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.PROTNORDER), "uncheckCoupon")
				}else{
					$(".app_user_coupon_box .on input").forEach(function(e,i) {
						if(e.checked){
							e.checked = false
						}
					});
					$(this).find('input[type="checkbox"]')[0].checked = true;
					mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.PROTNORDER), "checkCoupon", {
						oid: $(this).attr("data-oid")
					})
				}
			})
		},
		//优惠券产品与规则点击
		bindEvent: function() {
			var _this = this;
			$(".coupon-rules-btn").off().on('tap',function(){
				_this.rules = $(this).attr('data-rules')
				if($(this).find("span").html() === '...'){
					$(this).find('span').html(_this.rules.substr(20));
				} else {
					$(this).find('span').html('...');
				}
			})
			$(".coupon-products-btn").off().on('tap',function(){
				_this.products = $(this).attr('data-products')
				if($(this).find("span").html() === '...'){
					$(this).find('span').html(_this.products.substr(20));
				} else {
					$(this).find('span').html('...');
				}
			})
		},
		addItem: function(tradeObj, ifAvailable) {
			var html = "";
			if(ifAvailable){
				html = '<div class="on" data-oid="'+tradeObj.oid+'">';
			}else{
				html = '<div class="used">';
			}
			return '<div class="app_user_coupon_box app_clearfix">' + html + this.itemsObj(tradeObj, ifAvailable) + '</div></div>';
		},
		itemsObj: function(tradeObj, ifAvailable) {
			var _this = this;
			var couponHtml = '';
			var showobj = _this.couponPublic(tradeObj);
			var checkdiv = "", checked = "", type = "", unit = "", rateDays = "";
			if(ifAvailable){
				if(JSON.stringify(_this.ws.checkedCoupon) != '{}' && _this.ws.checkedCoupon.oid == tradeObj.oid){
					checked = ' checked="checked"'
				}
				checkdiv = '<div style="position: absolute;right: 5px;top: 5px;"><input type="checkbox"' + checked + '></div>'
			}
			if(tradeObj.type ==='coupon'){
				type = "代金券"
				unit = "元"
			}else{
				type = "加息券"
				unit = "%"
				rateDays = '<div class="ui-border-b app_pb5 '+ showobj.rateDays +'">加息天数:'+ tradeObj.rateDays + '天</div>'
			}
			couponHtml = '<div class="app_coupon_title_box"><span class="app_coupon_num"><h5 class="app_c6 app_pb10">'
						+type+'</h5><span class="'
						+showobj.numClass+'">'
						+ tradeObj.amount + '</span></span><span class="app_coupon_unit">'
						+unit+'</span></div>'
						+checkdiv+'<div class="app_coupon_detail">'
						+rateDays+ showobj.products + showobj.rules +'<div class="ui-border-b app_pb5 ">截止日期:'
						+ tradeObj.expiredDate + '</div></div>';
			return couponHtml;
		},
		couponPublic: function (tradeObj){
			var _this = this;
			var showobj = {};
			var numLength = tradeObj.amount.toString().length;
			showobj.numClass = "";
			if(numLength < 4){
				showobj.numClass = "app_f40"
			}else if(numLength < 6){
				showobj.numClass = "app_f30"
			}else{
				showobj.numClass = "app_f14"
			}
			
			if(!tradeObj.rateDays){
				showobj.rateDays = 'app_none';
			}
			if(tradeObj.products === null){
				tradeObj.products = '全品类产品通用'
			}
			
			if(tradeObj.products.length > 20){
				showobj.products = '<div class="ui-border-b app_pb5 coupon-products-btn" data-products='+ tradeObj.products +'>适用产品:' + tradeObj.products.substr(0,20) + '<span>...</span></div>';
			} else {
				showobj.products = '<div class="ui-border-b app_pb5">适用产品:' + tradeObj.products + '<span></span></div>';
			}
			
			var rules = "";
			if(tradeObj.rules === null) {
				if(tradeObj.minAmt){
					rules = "满"+tradeObj.minAmt+"元可使用"
				}else{
					rules = "全场适用"
				}
			}else{
				if(tradeObj.minAmt){
					rules = "满"+tradeObj.minAmt+"元可使用，"+tradeObj.rules
				}else{
					rules = tradeObj.rules
				}
			}
			
			if(rules.length > 20){
				showobj.rules = '<div class="ui-border-b app_pb5 coupon-rules-btn" data-rules = '+ rules +'>使用规则:' + rules.substr(0,20) + '<span>...</span></div>';
			}else{
				showobj.rules = '<div class="ui-border-b app_pb5">使用规则:' + rules + '<span></span></div>';
			}
			
			return showobj;
		}
	}
	mui.plusReady(function() {
		var ac = new ACCOUNT();
		ac.init();
	});
})(Zepto);
