/*
 Title:首页
 Author:yang sen
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
mui.init();
(function($) {

	var RISK = function(){
		this.ws = null;
		
		this.risks = [{"question":"1、您的年龄是？",
						"answers":["A.18岁以下","B.19-25岁","C.26-40 岁","D.41-54 岁","E.55-64岁","F.高于65岁"]},
					  {"question":"2、您的家庭年收入为（折合人民币）？",
					  	"answers":["A.5万元以下","B.5-20万元","C.20-50万元","D.50-100万元","E.100万元以上"]},
					  {"question":"3、一般情况下，在您每年的家庭收入中，可用于金融投资（储蓄存款的比例为）？",
					    "answers":["A.小于10%","B.10%至25%","C.25%至50%","D.大于50%"]},
					  {"question":"4、以下哪项最能说明您的投资经验？",
					    "answers":["A.除存款、国债外，我几乎不投资其他金融产品","B.大部分投资于存款、国债等，较少投资于股票、基金等风险产品","C.资产均衡地分布于存款、国债、银行理财产品、信托产品、股票、基金等","D.大部分投资于股票、基金、外汇等高风险产品，较少投资于存款、国债"]},
					  {"question":"5、您有多少年投资股票、基金、外汇、金融衍生产品等风险投资品的经验？",
					    "answers":["A.没有经验","B.少于两年","C.2-5年","D.5-8 年","E.8年以上"]},
					  {"question":"6、以下哪项描述最符合您的投资态度？",
					    "answers":["A.厌恶风险，不希望本金损失，希望获得稳定回报","B.保守投资，不希望本金损失，愿意承担一定幅度的收益波动","C.寻求资金的较高收益和成长性，愿意为此承担有限本金损失","D.希望赚取高回报，能接受为期较长期间的负面波动，包括本金损失"]},
					  {"question":"7、您计划的投资期限是多久？",
					    "answers":["A.1年以下，我可能会随时动用投资基金，对其流动性要求比较高","B.1-3年，为获得满意的收益，我短期内不会动用投资资金","C.3-5 年，我会在相对较长的一段时间内进行投资，对流动性要求较低","D.5 年以上，为达到理财目标，我会持续的进行投资"]},
					  {"question":"8、您的投资目的与期望值是？",
					    "answers":["A.资产保值，与银行同期存款利率大体相同","B.资产稳健增长，略高于银行定期存款利率","C.资产迅速增长，远超银行定期存款利率"]},
					  {"question":"9、您对期限为半年的产品，投资风险适应度是？",
					    "answers":["A.本金无损失，收益达到定期存款收益","B.在本金安全或者有较大保障的情况下，可以承受收益适当的波动，以便有可能获得大于同期存款收益","C.在本金损失可能性极低的情况下，愿意接受投资收益，以便获得大于同期存款收益","D.愿意承担一定风险，以寻求一定的资金收益和成长性","E.为获得一定投资回报，愿意承担投资产品市值较大波动，甚至本金损失"]},
					  {"question":"10、您投资产品的期限超过一年后，出现何种程度的波动，您会呈现明显的焦虑？",
					    "answers":["A.本金无损失，但收益未达预期","B.出现轻微本金损失","C.本金10%以内的损失","D.本金20%-50%的损失","E.本金50%以上的损失"]}];
		
		this.idx = 0;
		this.answers = ['','','','','','','','','',''];
		this.currenYear = null;
		this.assessTimes = 0;
		this.assessTypes = {"bs":"保守型","jj":"积极型","jq":"进取型","ph":"平衡型","wj":"稳健型"}
		return this;
	}
	RISK.prototype = {
		init:function(){
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
		},		
		getData:function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.umginfo,
				type: "post",
				async: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
						//系统默认提示语
						if(result.data.assessType){
							$("#app_assessType_txt").hide();
						}else{
							$("#app_assessType_txt").show();
						}
						var _assessType = result.data.assessType ? result.data.assessType : "保守型"  ;					
						_this.assessTimes = result.data.assessTimes ? result.data.assessTimes : 0;
						
						var _assessTimes = 3 - Number(_this.assessTimes);
						_assessTimes = _assessTimes < 0 ? 0 : _assessTimes;

						var imgSrc = null;
					
						$.each(_this.assessTypes, function(m,n) {
							if(n == _assessType){
								imgSrc = "../../images/icon_risk_" + m + ".png"
							}
						});
						
						if( _assessTimes > 0 ){
							$("#app_confirm").show();
						}else{
							$("#app_confirm").hide()
						}
						_this.currenYear = result.data.currenYear;
						$("#app_assessType").html(_assessType);
						$("#app_assessTimes").html(_assessTimes);
						$("#app_assessType_img").attr("src",imgSrc);
					}else if(result.errorCode == "E10001" ){
						GHUTILS.openLogin();
					}
					plus.nativeUI.closeWaiting();
				}
			});
		},
		bindEvent:function(){
			var _this = this;
			
			//上一题
			$("#app-risk-btn-last").off().on("click",function(){
				$("#app-risk-answers").removeClass('app_loading');
				if(_this.idx > 0){
					_this.idx--;
					_this.setDome(_this.idx);
				}
				if(_this.idx < 1 ){
					$("#app-risk-btn-last").hide();
				}else{
					$("#app-risk-btn-last").show();
				}
				$("#app_risk_btn_confirm").hide();
			});
			
			//重新评估
			$(".app_gosteps").on("click",function(){
				var step = $(this).attr("data-step");
					$(".steps").hide();
					$(step).show();
					_this.idx = 0;
					_this.setDome(_this.idx);
			});
			
			//提交资料
			$("#app_risk_btn_confirm").off().on("tap",function(){
				if(!_this.answers[9]){
					GHUTILS.toast('您的第10题还未选择，请先选择！');
					return
				}
				_this.setData();
			});
		},
		setDome:function(idx){
			var _this = this;
			var tpl = '';
			
			$("#app-risk-question").html(_this.risks[idx].question);
			$("#app-risk-quesNO").html(idx + 1 + '/10');
			for (var i = 0; i < _this.risks[idx].answers.length; i++) {
				var key = (_this.risks[idx].answers[i]).substr(0, 1);
				tpl += '<li id="'+ key +'" class="mui-table-view-cell" data-key="'+ key +'">' + _this.risks[idx].answers[i] + '</li>'
			}
			$("#app-risk-answers").html(tpl);
			var answerKey = _this.answers[_this.idx];
			if(answerKey){
				$("#app-risk-answers").find("#" + answerKey.substr(answerKey.length == 3 ? 2 : 1)).addClass("app_actvie");
			}
			_this.bindlink();
		},
		bindlink:function(){
			var _this = this;
			$("#app-risk-answers").find("li").off().on("click",function(){
				if($("#app-risk-answers").hasClass('app_loading')){
					return
				}
				$("#app-risk-answers").addClass('app_loading');
				$(".mui-table-view-cell").removeClass('app_actvie');
				$(this).addClass('app_actvie');
				if(_this.idx < 10){
					_this.answers[_this.idx] = (_this.idx+1) + $(this).attr("data-key");	
				}
				if(_this.idx == 9){
					$("#app-risk-answers").removeClass('app_loading');				
				}
				if(_this.idx < 9){
					_this.idx++;
					setTimeout(function(){
						_this.setDome(_this.idx);
						$("#app-risk-answers").removeClass('app_loading');
						if(_this.idx == 9){
							$("#app_risk_btn_confirm").show();
						}else{
							$("#app_risk_btn_confirm").hide();
						}
						if(_this.idx > 0 ){
							$("#app-risk-btn-last").show();
						}else{
							$("#app-risk-btn-last").hide();
						}
					},600);
				}						
			});
		},
		setData:function(){
			var _this = this;
			var _assessParam = "&" + _this.answers.join("&");
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.riskassess,
				data:{
					assessParam:_assessParam,
					assessTimes:_this.assessTimes,
					assessYear:_this.currenYear
				},
				type: "post",
				async: false,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
						GHUTILS.getUserInfo(function(){							
							GHUTILS.refreshPages();
						});
						window.location.reload();
					}
				}
			});
		}
	}
	mui.plusReady(function(){

		var risk = new RISK();
			risk.init();
	});
//	$(function(){
//		var risk = new RISK();
//			risk.init();
//	});
})(Zepto);